from pydantic import BaseModel
from typing import Optional

class AccountWechatsBase(BaseModel):
    uniacid: int
    token: str
    encodingaeskey: str
    level: int
    name: str
    account: str
    original: str
    signature: str
    country: str
    province: str
    city: str
    username: str
    password: str
    lastupdate: int
    key: str
    secret: str
    styleid: int
    subscribeurl: str
    auth_refresh_token: str

class AccountWechatsCreate(AccountWechatsBase):
    pass

class AccountWechatsUpdate(BaseModel):
    token: Optional[str]
    encodingaeskey: Optional[str]
    

class AccountWechats(AccountWechatsBase):
    acid: int

    class Config:
        from_attributes = True